Skip to main content

Auto Approval Rule

View as Markdown

CleanRoomAutoApprovalRule object

clean_room_namestringBeta

The name of the clean room this auto-approval rule belongs to.

rule_idstringBetaOutput only

A generated UUID identifying the rule.

rule_owner_collaborator_aliasstringBetaOutput only

The owner of the rule to whom the rule applies.

author_collaborator_aliasstringBeta

Collaborator alias of the author covered by the rule. Only one of author_collaborator_alias and author_scope can be set.

author_scopestringBeta

Scope of authors covered by the rule. Only one of author_collaborator_alias and author_scope can be set.

Values:

  • AUTHOR_SCOPE_UNSPECIFIED
  • ANY_AUTHOR
runner_collaborator_aliasstringBeta

Collaborator alias of the runner covered by the rule.

created_atint64BetaOutput only

Timestamp of when the rule was created, in epoch milliseconds.

Get an auto-approval rule Beta

GET /api/2.0/clean-rooms/{clean_room_name}/auto-approval-rules/{rule_id}

Get a auto-approval rule by rule ID

API scopes: cleanrooms

Parameters

clean_room_namestringRequiredpath
rule_idstringRequiredpath

Response

Returns the CleanRoomAutoApprovalRule object.

List auto-approval rules Beta

GET /api/2.0/clean-rooms/{clean_room_name}/auto-approval-rules

List all auto-approval rules for the caller

API scopes: cleanrooms

Parameters

clean_room_namestringRequiredpath
page_sizeint32query

Maximum number of auto-approval rules to return. Defaults to 100.

page_tokenstringquery

Opaque pagination token to go to next page based on previous query.

Response

Returns a list of CleanRoomAutoApprovalRule objects.

Create an auto-approval rule Beta

POST /api/2.0/clean-rooms/{clean_room_name}/auto-approval-rules

Create an auto-approval rule

API scopes: cleanrooms

Parameters

clean_room_namestringRequiredpath

The name of the clean room this auto-approval rule belongs to.

Request body

auto_approval_ruleobjectRequired
Show child attributesHide child attributes
author_collaborator_aliasstring

Collaborator alias of the author covered by the rule. Only one of author_collaborator_alias and author_scope can be set.

author_scopestring

Scope of authors covered by the rule. Only one of author_collaborator_alias and author_scope can be set.

Values:

  • AUTHOR_SCOPE_UNSPECIFIED
  • ANY_AUTHOR
runner_collaborator_aliasstring

Collaborator alias of the runner covered by the rule.

Response

Returns the CleanRoomAutoApprovalRule object.

Update an auto-approval rule Beta

PATCH /api/2.0/clean-rooms/{clean_room_name}/auto-approval-rules/{rule_id}

Update a auto-approval rule by rule ID

API scopes: cleanrooms

Parameters

clean_room_namestringRequiredpath

The name of the clean room this auto-approval rule belongs to.

rule_idstringRequiredpath

A generated UUID identifying the rule.

Request body

The auto-approval rule to update. The rule_id field is used to identify the rule to update.

author_collaborator_aliasstring

Collaborator alias of the author covered by the rule. Only one of author_collaborator_alias and author_scope can be set.

author_scopestring

Scope of authors covered by the rule. Only one of author_collaborator_alias and author_scope can be set.

Values:

  • AUTHOR_SCOPE_UNSPECIFIED
  • ANY_AUTHOR
runner_collaborator_aliasstring

Collaborator alias of the runner covered by the rule.

Response

Returns the CleanRoomAutoApprovalRule object.

Delete an auto-approval rule Beta

DELETE /api/2.0/clean-rooms/{clean_room_name}/auto-approval-rules/{rule_id}

Delete a auto-approval rule by rule ID

API scopes: cleanrooms

Parameters

clean_room_namestringRequiredpath
rule_idstringRequiredpath